<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<div ng-if="$ctrl.ngModelCtrl.$modelValue">
    <div class="form-control" ng-click="$ctrl.open()">
        <a class="action-reset" ng-click="$ctrl.ngModelCtrl.$setViewValue(null)"><i class="fa fa-close"></i></a>
        <span class="label label-info">{{ $ctrl.ngModelCtrl.$modelValue.type }}</span>
        <span title="{{ $ctrl.ngModelCtrl.$modelValue.expr }}">{{ $ctrl.ngModelCtrl.$modelValue.expr }}</span>
    </div>
</div>

<div ng-if="!$ctrl.ngModelCtrl.$modelValue">
    <div class="form-control" ng-click="$ctrl.open()">
        <a class="placeholder" href="">{{ $ctrl.placeholder ? $ctrl.placeholder : "Cliquez pour configurer" }}</a>
    </div>
</div>
